SoScXMLDollyTarget(3)

NAME
SoScXMLDollyTarget - SCXML event target service for zoom behaviour.

SYNOPSIS

#include <Inventor/scxml/SoScXMLDollyTarget.h>

Inherits SoScXMLNavigationTarget.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)
static SoScXMLDollyTarget * constructSingleton (void)
static void destructSingleton (void)
static SoScXMLDollyTarget * singleton (void)
static const SbName & BEGIN (void)
static const SbName & UPDATE (void)
static const SbName & END (void)
static const SbName & JUMP (void)
static const SbName & STEP_IN (void)
static const SbName & STEP_OUT (void)
static void dolly (SoCamera *camera, float diff)
static void jump (SoCamera *camera, float focaldistance)
static void step (SoCamera *camera, SbBool exponential, float diff, float min=0.0f, float max=0.0f)

  Protected Member Functions
SoScXMLDollyTarget (void)
virtual SbBool processOneEvent (const ScXMLEvent *event)

  Additional Inherited Members

Detailed Description

SCXML event target service for zoom behaviour. Events:

x-coin-navigation.Dolly.*

BEGIN _sessionid {string} mouseposition {SbVec2f} [absminfocaldistance] {float} [absmaxfocaldistance] {float} [setfocaldistance] {float} [motiontype] {string:exponential,linear}

UPDATE _sessionid {string} mouseposition {SbVec2f}

END _sessionid {string} mouseposition {SbVec2f}

JUMP _sessionid {string} focaldistance {float}

STEP_IN _sessionid [count=1] {float} [absminfocaldistance] {float} [motiontype] {string:exponential,linear}

STEP_OUT _sessionid [count=1] {float} [absmaxfocaldistance] {float} [motiontype] {string:exponential,linear}

Since
    Coin 3.1

Constructor & Destructor Documentation

  SoScXMLDollyTarget::SoScXMLDollyTarget (void) [protected]
The constructor registers the singleton with the proper name and target type.

Member Function Documentation

  SoType SoScXMLDollyTarget::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements SoScXMLNavigationTarget.

  const SbName & SoScXMLDollyTarget::BEGIN (void) [static]
Returns the full name for the dolly BEGIN SCXML event.

  const SbName & SoScXMLDollyTarget::UPDATE (void) [static]
Returns the full name for the dolly UPDATE SCXML event.

  const SbName & SoScXMLDollyTarget::END (void) [static]
Returns the full name for the dolly END SCXML event.

  const SbName & SoScXMLDollyTarget::JUMP (void) [static]
Returns the full name for the dolly JUMP SCXML event.

  const SbName & SoScXMLDollyTarget::STEP_IN (void) [static]
Returns the full name for the dolly STEP_IN SCXML event.

  const SbName & SoScXMLDollyTarget::STEP_OUT (void) [static]
Returns the full name for the dolly STEP_OUT SCXML event.

  void SoScXMLDollyTarget::jump (SoCamera * camera, float focaldistance) [static]
Jumps the camera to focaldistance distance from the current focal point of the camera. This function only changes the SoCamera::position field.

This function is more or less useless to use on an SoOrthographicCamera.

  void SoScXMLDollyTarget::step (SoCamera * camera, SbBool exponential, float diff, float mindistance = 0.0f, float maxdistance = 0.0f) [static]
Steps the camera relative to its orientation and focal point by diff.

If exponential is FALSE, then the diff value is treated as an absolute distance value.

If mindistance and/or maxdistance is anything but 0.0, they are checked against the focal distance, and the focal distance will be clamped inside the range. Both are not needed, if only one is specified, only that part of the range will be used to limit the dollying.

If exponential is TRUE...FIXME

  SbBool SoScXMLDollyTarget::processOneEvent (const ScXMLEvent * event) [protected], [virtual]
Dispatches incoming SCXML events to the corresponding functionality.

Reimplemented from ScXMLEventTarget.

Author

Generated automatically by Doxygen for Coin from the source code.